# Generated by Django 3.1.7 on 2021-05-17 19:31

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CategoriaDespesa',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(blank=True, max_length=150, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Despesa',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tipo', models.CharField(blank=True, max_length=150, null=True)),
                ('valor', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('data', models.DateTimeField(blank=True, null=True)),
                ('observacoes', models.TextField(blank=True, max_length=150, null=True)),
                ('aviamento', models.BooleanField(blank=True, null=True)),
                ('diariaDias', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('diariaQuantidadeDiaristas', models.IntegerField(blank=True, null=True)),
                ('diariaValorDiaria', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('safraId', models.IntegerField(blank=True, null=True)),
                ('categoriaDespesaId', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Equipamento',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tipo', models.CharField(blank=True, max_length=150, null=True)),
                ('marcaEModelo', models.CharField(blank=True, max_length=150, null=True)),
                ('anoFabricacao', models.IntegerField(blank=True, null=True)),
                ('anoCompra', models.IntegerField(blank=True, null=True)),
                ('quantidade', models.IntegerField(blank=True, null=True)),
                ('valorCompra', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('durabilidadeEstimadaAnos', models.IntegerField(blank=True, null=True)),
                ('usado', models.BooleanField(blank=True, null=True)),
                ('safraId', models.IntegerField(blank=True, null=True)),
                ('tipoEquipamentoId', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Producao',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', models.DateTimeField(blank=True, null=True)),
                ('quantidade', models.IntegerField(blank=True, null=True)),
                ('safraId', models.IntegerField(blank=True, null=True)),
                ('observacoes', models.TextField(blank=True, max_length=150, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Safra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(blank=True, max_length=150, null=True)),
                ('dataInicio', models.DateTimeField(blank=True, null=True)),
                ('dataFinal', models.DateTimeField(blank=True, null=True)),
                ('ativa', models.BooleanField(blank=True, null=True)),
                ('remuneracaoDesejadaPorDia', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('castanhalTamanho', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('castanhalNumeroCastanheiras', models.IntegerField(blank=True, null=True)),
                ('castanhalNumeroFamilias', models.IntegerField(blank=True, null=True)),
                ('upfId', models.IntegerField(blank=True, null=True)),
                ('municipioId', models.IntegerField(blank=True, null=True)),
                ('ufId', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TipoEquipamento',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(blank=True, max_length=150, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TrabalhoUpf',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', models.DateTimeField(blank=True, null=True)),
                ('dias', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('remuneracaoDesejada', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('observacoes', models.TextField(blank=True, max_length=150, null=True)),
                ('safraId', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TrabalhoUpfIntegrante',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('trabalhoUpfId', models.IntegerField(blank=True, null=True)),
                ('upfIntegranteId', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Upf',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nomeComunidade', models.CharField(blank=True, max_length=150, null=True)),
                ('nomeUsuario', models.CharField(blank=True, max_length=150, null=True)),
                ('dataNascimentoUsuario', models.DateTimeField(blank=True, null=True)),
                ('generoUsuario', models.CharField(blank=True, max_length=150, null=True)),
                ('unidadeArea', models.CharField(blank=True, max_length=150, null=True)),
                ('unidadeValor', models.CharField(blank=True, max_length=150, null=True)),
                ('cooperativa', models.CharField(blank=True, max_length=150, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='UpfIntegrante',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(blank=True, max_length=150, null=True)),
                ('dataNascimento', models.DateTimeField(blank=True, null=True)),
                ('safraId', models.IntegerField(blank=True, null=True)),
                ('mainIntegrante', models.BooleanField(blank=True, null=True)),
                ('parentesco', models.CharField(blank=True, max_length=150, null=True)),
                ('genero', models.CharField(blank=True, max_length=150, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Venda',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantidade', models.IntegerField(blank=True, null=True)),
                ('valorUnitario', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('data', models.DateTimeField(blank=True, null=True)),
                ('observacoes', models.TextField(blank=True, max_length=150, null=True)),
                ('safraId', models.IntegerField(blank=True, null=True)),
                ('compradorId', models.IntegerField(blank=True, null=True)),
                ('comprador', models.CharField(blank=True, max_length=150, null=True)),
                ('quitacaoAviamento', models.BooleanField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='VersaoBancoDados',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('versao', models.CharField(blank=True, max_length=150, null=True)),
            ],
        ),
    ]
